{
  "root": "DistributeEventRequest",
  "version": 1,
  "requestID": "a18b7934-43fe-4cae-bafc-5d185dd21e34",
  "dnID": "10010103000052",
  "events": [
    {
      "responseRequired": "always",
      "descriptor": {
        "eventID": "YY#1100_10010103000052",
        "status": "far",
        "shape": "switchType",
        "control": "peakClipping",
        "notification": "mediumterm",
        "tradeType": "YY",
        "comment": "this is real event.",
        "filing": true,
        "deadline": "2025-11-28 12:59:00",
        "lastFiling": null
      },
      "activePeriod": [
        {
          "dtstart": "2025-11-28T13:00:00",
          "dtend": "2025-11-28T18:00:00"
        }
      ],
      "signals": {
        "signal": [
          {
            "signalName": "ENERGY_PRICE",
            "signalType": "price",
            "intervals": {
              "irregular": {
                "values": [{ "value": 6, "timestamp": "2025-11-28T13:15:00" }]
              }
            }
          },
          {
            "signalName": "DEMAND_CHARGE",
            "signalType": "delta",
            "intervals": {
              "irregular": {
                "values": [{ "value": 400, "timestamp": "2025-11-28T13:15:00" }]
              }
            }
          }
        ]
      },
      "target": {
        "resourceID": ["3100139002062", "3100061516683"],
        "resources": []
      }
    }
  ]
}
